ExtendedColumnVisitor (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.renderkit.html.ExtendedColumnVisitor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class ExtendedColumnVisitor

    java.lang.Object
      org.richfaces.renderkit.html.ExtendedColumnVisitor

All Implemented Interfaces:
  ColumnVisitor

    public abstract class ExtendedColumnVisitor

extends java.lang.Object
implements ColumnVisitor

Author:
  Anton Belevich

Constructor Summary
`ExtendedColumnVisitor()`

Method Summary
`abstract void` | `renderContent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent column, javax.faces.context.ResponseWriter writer, ScrollableDataTableRendererState state)`
`int` | `visit(javax.faces.context.FacesContext context, javax.faces.component.UIComponent column, javax.faces.context.ResponseWriter writer, ScrollableDataTableRendererState state)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedColumnVisitor

    public ExtendedColumnVisitor()

Method Detail

### visit

    public int visit(javax.faces.context.FacesContext context,
                     javax.faces.component.UIComponent column,
                     javax.faces.context.ResponseWriter writer,
                     ScrollableDataTableRendererState state)
              throws java.io.IOException

  Specified by:
    `visit` in interface `ColumnVisitor`
  Throws:
    `java.io.IOException`

### renderContent

    public abstract void renderContent(javax.faces.context.FacesContext context,
                                       javax.faces.component.UIComponent column,
                                       javax.faces.context.ResponseWriter writer,
                                       ScrollableDataTableRendererState state)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.